Member (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.Member interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface Member

All Known Implementing Classes:
  McastMember

public interface Member

The Member interface, defines a member in the Cluster. A member is a Tomcat process that participates in session replication.
Each member can carry a set of properties, defined by the actual implementation.
For TCP replication has been targeted for the first release, the hostname and listen port of the member is defined as hardcoded stuff.
The Member interface together with MembershipListener, MembershipService are interfaces used to switch out the service used to establish membership in between the cluster nodes.

Version:
  $Id: Member.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik

Method Summary
`java.lang.String` | `getDomain()` Returns the name of the cluster domain from this node
`java.lang.String` | `getHost()` Returns the TCP listen host for the TCP implementation
`long` | `getMemberAliveTime()` Contains information on how long this member has been online.
`java.util.HashMap` | `getMemberProperties()` Return implementation specific properties about this cluster node.
`java.lang.String` | `getName()` Returns the name of this node, should be unique within the cluster.
`int` | `getPort()` Returns the TCP listen portfor the TCP implementation

Method Detail

### getMemberProperties

    public java.util.HashMap getMemberProperties()

  Return implementation specific properties about this cluster node.

### getName

    public java.lang.String getName()

  Returns the name of this node, should be unique within the cluster.

### getDomain

    public java.lang.String getDomain()

  Returns the name of the cluster domain from this node

### getHost

    public java.lang.String getHost()

  Returns the TCP listen host for the TCP implementation

### getPort

    public int getPort()

  Returns the TCP listen portfor the TCP implementation

### getMemberAliveTime

    public long getMemberAliveTime()

  Contains information on how long this member has been online. The result is the number of milli seconds this member has been broadcasting its membership to the cluster.

  Returns:
    nr of milliseconds since this member started.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.